Scale a managed node pool
import requests
url = "https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/node-pools/{node_pool_name}/scale"
payload = { "count": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({count: 2})
};
fetch('https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/node-pools/{node_pool_name}/scale', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/node-pools/{node_pool_name}/scale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"count": 2
}'{
"autohealing": true,
"autoscaling_enabled": true,
"autoscaling_max": 123,
"autoscaling_min": 123,
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"count": 123,
"node_pool_name": "<string>",
"upgrade_policy": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Managed Clusters
Scale a managed node pool
Bearer PAT authentication; RBAC permission clusters.operate. For Kapsule, provider_cluster_id is the opaque region-qualified regions/{region}/clusters/{id} reference. CNI is immutable. Imported/unknown provenance is disconnect-only; provider deletion is allowed by default only for created clusters.
POST
/
api
/
v1
/
clusters
/
managed
/
{provider}
/
{cluster_id}
/
node-pools
/
{node_pool_name}
/
scale
Scale a managed node pool
import requests
url = "https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/node-pools/{node_pool_name}/scale"
payload = { "count": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({count: 2})
};
fetch('https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/node-pools/{node_pool_name}/scale', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/node-pools/{node_pool_name}/scale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"count": 2
}'{
"autohealing": true,
"autoscaling_enabled": true,
"autoscaling_max": 123,
"autoscaling_min": 123,
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"count": 123,
"node_pool_name": "<string>",
"upgrade_policy": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.
Path Parameters
Available options:
doks, uks, gke, ovh_mks, aks, eks, kapsule Example:
"kapsule"
Body
application/json
Required range:
x >= 1Response
Successful response